- Qt 6.10
- Qt GRPC
- QML Types
- GrpcCallOptions
- Qt 6.10.2 Reference Documentation

# GrpcCallOptions QML Type

The GrpcCallOptions is a storage class used to set additional call options. More...

Import Statement: | `import QtGrpc`
Since: | Qt 6.7
In C++: | QGrpcCallOptions

- List of all members, including inherited members

## Properties

- deadlineTimeout : int
- metadata : GrpcMetadata

## Detailed Description

Provides a set of properties to access the call options that are used by gRPC™ channels to communicate with the services.

See also QGrpcCallOptions.

## Property Documentation

deadlineTimeout : int

Sets a deadline value for a call.

See also QGrpcCallOptions::deadlineTimeout.

metadata : GrpcMetadata

Sets a pointer to the metadata used for a call.

See also GrpcMetadata.